HP Instant Capacity User's Guide for versions 8.x > Chapter 2 Getting Started

Instant Capacity Requirements

  Table of Contents

  Index

Program Requirements

You must comply with the following HP Utility Pricing Solutions conditions to participate in the Instant Capacity versions 8.x program:

  • Maintain the HP Instant Capacity software on each HP-UX or OpenVMS partition in the system — it is a non-intrusive and low-overhead software module that resides on the partition

  • Migrate to later Instant Capacity software versions as they become available

For the specific details on your individual program requirements, refer to your Utility Pricing Solutions contract from HP or your authorized channel partner. Participants of the Utility Pricing Solutions program who do not meet these requirements may be in breach of contract. This results in unnecessary expense for both the program participant and HP.

Software Requirements

Every HP-UX and OpenVMS partition in an Instant Capacity system is required to have the Instant Capacity software installed and the icapd daemon running on HP-UX systems, or the ICAP_SERVER process running on OpenVMS systems. You must maintain the Instant Capacity software until all program requirements are fulfilled and the system is no longer considered an Instant Capacity system. If you are using Global Instant Capacity, all systems must be running Instant Capacity versions 8.x.

NOTE: For necessary HP-UX updates, we recommend that you install the latest OEUR or AR update, if possible. This ensures that you install all required products and versions.

HP-UX 11i v1 Requirements

For Instant Capacity Versions 8.x on HP-UX 11i v1

The following software is required for Instant Capacity versions 8.x on HP-UX 11i v1:

  • HP-UX 11i v1 September 2006 update, or later

  • iCOD software bundle B9073BA (versions 8.x) — installed automatically when the HP-UX 11i v1 Operating Environment (OE) is installed

  • The kernel configuration must include the diag2 module

  • WBEM B8465BA bundle (version A.02.00.04 or higher)

  • NParProvider bundle (version B.12.01.06.01 or higher, available from the OE)

  • If you have a virtual partitioned environment, the Virtual Partitions software (bundle T1335AC) must be version A.02.03 or greater

  • (GiCAP only) OpenSSH Secure_Shell T1471AA bundle, distributed with the Operating Environment, although a newer version may be available from the HP software depot (http://www.hp.com/go/softwaredepot)

Required Patches for HP-UX 11i v1

The following patches are required for Instant Capacity versions 8.x on HP-UX 11i v1:

  • PHKL_22987: S700_800 11.11 pstat() patch - Only if your system runs MeasureWare software

  • PHKL_23154: S700_800 11.11 dflush() patch

  • PHKL_25218: S700_800 11.11 PDC Call retry, PDC_SCSI_PARMS, iCOD hang fix

  • PHKL_26232: S700_800 11.11 Psets Enablement patch,
    FSS iCOD patch

  • PHKL_30197: S700_800 11.11 Psets & vPar, Reboot hangs, serial number

  • PHCO_24396: S700_800 11.11 /etc/default/tz patch

  • PHCO_24477: S700_800 11.11 sar (1M) patch

  • PHCO_29832: S700_800 11.11 reboot(1M) patch

  • PHCO_29833: S700_800 11.11 killall(1M) patch

IMPORTANT: For the most recent required patches, see the Instant Capacity Installation page on the HP web site http://www.hp.com/go/softwaredepot (search for “B9073BA”).

HP-UX 11i v2 Requirements

For Versions 8.x on
HP-UX 11i v2

The following software is required for Instant Capacity versions 8.x on HP-UX 11i v2:

  • HP-UX 11i v2 September 2006 update, or later

  • iCOD software bundle B9073BA (versions 8.x) — installed automatically when the HP-UX 11i v2 Operating Environment (OE) is installed

  • The kernel configuration must include the diag2 module

  • WBEM B8465BA bundle (version A.01.05 or higher)

  • NParProvider bundle (version B.23.01.06.01 or higher, available from the OE)

  • If you have a virtual partitioned environment, the Virtual Partitions software (bundle T1335BC) must be version A.04.01 or greater

  • (GiCAP only) OpenSSH Secure_Shell T1471AA bundle, distributed with the Operating Environment, although a newer version may be available from the HP software depot (http://www.hp.com/go/softwaredepot)

  • The PHCO-34721 killall patch is required for 11i v2 installations

NOTE: On HP-UX 11i v2 systems, updated firmware may be required by either or both of the NPar or Virtual Partitions software, as documented for these products.

Your Instant Capacity system is ordered and shipped with all of the above software. In the event your system’s operating system is reinstalled or installed with Ignite-UX, ensure that the above software requirements are satisfied.

OpenVMS 8.3 Requirements

For Instant Capacity Versions 8.x on
OpenVMS 8.3

The following software is required for Instant Capacity versions 8.x on OpenVMS 8.3:

  • hp OpenVMS Industry Standard 64 Operating System V8.3, or later

  • iCAP software bundle BA484AA (versions 8.x) — included with OpenVMS 8.3 and automatically installed on relevant systems when 8.3 is initially installed

  • WBEMCIM bundle (version A2.0-A051013F or higher) — optionally installed with OpenVMS 8.3

  • NParProvider bundle — installed with OpenVMS 8.3

E-mail Requirements

For some configurations, previous versions of the Instant Capacity software (prior to B.07.x) required e-mail connectivity to HP in order to send asset reports as encrypted e-mail messages. Instant Capacity versions B.07.x and later no longer require e-mail connectivity or asset reporting, however, you may choose to configure it because it can be useful for viewing complex-wide asset information at the Utility Pricing Solutions portal (http://www.hp.com/go/icap/portal).

NOTE: Asset reporting is on by default for a new installation. Unless you turn asset reporting off or configure the e-mail connectivity, error messages will be logged when the software attempts to send asset reports. The icapstatus command displays the current configuration for asset reporting. You turn asset reporting on or off with the icapnotify -a command. For details about how to configure e-mail connectivity, see “Configuring E-Mail on Instant Capacity Systems”.

Roles Requirement

Your organization may designate a person to fill a system-contact role for the successful management of Instant Capacity systems. The system-contact receives the following types of e-mail messages from the Instant Capacity software:

  • Core activation or deactivation notification

  • Compliance exception notification

  • Temporary capacity expiration notification

  • Temporary capacity enforcement notification

  • Virtual partition boot time compliance notification

If a system-contact is not specified, core change notification e-mail messages are not sent from the Instant Capacity partition. However, the root account on HP-UX and the SYSTEM account on OpenVMS continue to receive other notification messages.

Usage Rights Requirement

A system managed under the Instant Capacity program may include one or more components (core, cell, or memory) that are without usage rights. Before you can use these components, additional usage rights must be obtained. Usage rights can either be purchased from HP, or if the system is a member of a Global Instant Capacity group, usage rights may be temporarily borrowed from another member of the group, as described in the section “Global Instant Capacity Sharing Rights”.

Purchase of usage rights from HP is managed through the use of Right To Use (RTU) codewords. Contact your HP sales representative in order to purchase component-specific usage rights. After such a purchase, HP sends you a letter informing you how to retrieve the RTU codeword from the HP Utility Pricing Solutions web portal, located at: http://www.hp.com/go/icap/portal

After the RTU codeword is retrieved from the Utility Pricing Solutions portal, the RTU codeword is applied to your server by the use of the icapmodify command, using the -C option. When the codeword is applied, component-specific usage rights on the system are increased, allowing you to activate one or more additional components.